[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#270925: marked as done (ocaml-base-nox: creates directories in /usr/local with wrong permissions)



Your message dated Fri, 29 Jul 2005 04:02:10 -0700
with message-id <E1DySd0-0003aK-00@spohr.debian.org>
and subject line Bug#270925: fixed in ocaml 3.08.3-4
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 10 Sep 2004 01:09:33 +0000
>From julien.cristau@ens-lyon.org Thu Sep 09 18:09:33 2004
Return-path: <julien.cristau@ens-lyon.org>
Received: from bernache.ens-lyon.fr [140.77.167.10] 
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1C5Zuv-0001eK-00; Thu, 09 Sep 2004 18:09:33 -0700
Received: by bernache.ens-lyon.fr (Postfix, from userid 103)
	id 802567ABD45; Fri, 10 Sep 2004 03:09:31 +0200 (CEST)
Received: from localhost.localdomain (ANice-252-1-21-27.w82-122.abo.wanadoo.fr [82.122.115.27])
	(using TLSv1 with cipher EDH-RSA-DES-CBC3-SHA (168/168 bits))
	(Client did not present a certificate)
	by bernache.ens-lyon.fr (Postfix) with ESMTP
	id 9A6297ABD44; Fri, 10 Sep 2004 03:09:24 +0200 (CEST)
Received: by localhost.localdomain (Postfix, from userid 1000)
	id 5A85F93704; Fri, 10 Sep 2004 03:09:22 +0200 (CEST)
Content-Type: multipart/mixed; boundary="===============0107504049=="
MIME-Version: 1.0
From: Julien Cristau <julien.cristau@ens-lyon.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ocaml-base-nox: creates directories in /usr/local with wrong permissions
X-Mailer: reportbug 2.63
Date: Fri, 10 Sep 2004 03:09:22 +0200
Message-Id: <20040910010922.5A85F93704@localhost.localdomain>
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_25 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2004_03_25
X-Spam-Level: 

This is a multi-part MIME message sent by reportbug.

--===============0107504049==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Package: ocaml-base-nox
Version: 3.08.1-1
Severity: minor
Tags: patch

Hi Sven,

policy 9.1.2 says that:
- directories created by maintainer scripts under /usr/local should be 
owned by root.staff and have permissions 2775
- they must be created and deleted by postinst and prerm
With the attached patch, ocaml-base-nox creates the directories with 
correct permissions in postinst, and deletes them if empty in prerm.


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.27-1-686
Locale: LANG=C, LC_CTYPE=C

Versions of packages ocaml-base-nox depends on:
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
ii  libgdbm3                    1.8.3-2      GNU dbm database routines (runtime
ii  libncurses5                 5.4-4        Shared libraries for terminal hand

-- no debconf information

--===============0107504049==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="ocaml.diff"

diff -Nru ocaml-3.08.1/debian/ocaml-base-nox.postinst ocaml-3.08.1.new/debian/ocaml-base-nox.postinst
--- ocaml-3.08.1/debian/ocaml-base-nox.postinst	2004-09-10 02:20:48.000000000 +0200
+++ ocaml-3.08.1.new/debian/ocaml-base-nox.postinst	2004-09-10 02:10:08.000000000 +0200
@@ -1,9 +1,26 @@
 #!/bin/sh
-mkdir -p /usr/local/lib/ocaml/3.08/stublibs || true
+if [ ! -e /usr/local/lib/ocaml ]; then
+    if mkdir /usr/local/lib/ocaml 2>/dev/null; then
+	chown root:staff /usr/local/lib/ocaml
+	chmod 2775 /usr/local/lib/ocaml
+    fi
+fi
+if [ ! -e /usr/local/lib/ocaml/3.08 ]; then
+    if mkdir /usr/local/lib/ocaml/3.08 2>/dev/null; then
+	chown root:staff /usr/local/lib/ocaml/3.08
+	chmod 2775 /usr/local/lib/ocaml/3.08
+    fi
+fi
+if [ ! -e /usr/local/lib/ocaml/3.08/stublibs ]; then
+    if mkdir /usr/local/lib/ocaml/3.08/stublibs 2>/dev/null; then
+	chown root:staff /usr/local/lib/ocaml/3.08/stublibs
+	chmod 2775 /usr/local/lib/ocaml/3.08/stublibs
+    fi
+fi
 
 for i in /usr/lib/ocaml/3.06 /etc/ocaml /var/lib/ocaml; do	\
 	if [ -e $i/ld.conf ]; then				\
-		echo "Removing leftover $i.ld.conf";		\
+		echo "Removing leftover $i/ld.conf";		\
 		rm -f $i/ld.conf;				\
 		rmdir --ignore-fail-on-non-empty $i;		\
 	fi;							\
diff -Nru ocaml-3.08.1/debian/ocaml-base-nox.prerm ocaml-3.08.1.new/debian/ocaml-base-nox.prerm
--- ocaml-3.08.1/debian/ocaml-base-nox.prerm	1970-01-01 01:00:00.000000000 +0100
+++ ocaml-3.08.1.new/debian/ocaml-base-nox.prerm	2004-09-10 02:17:09.000000000 +0200
@@ -0,0 +1,5 @@
+#!/bin/sh -e
+
+rmdir /usr/local/lib/ocaml/3.08/stublibs 2>/dev/null || true
+rmdir /usr/local/lib/ocaml/3.08 2>/dev/null || true
+rmdir /usr/local/lib/ocaml 2>/dev/null || true

--===============0107504049==--

---------------------------------------
Received: (at 270925-close) by bugs.debian.org; 29 Jul 2005 11:08:21 +0000
>From katie@spohr.debian.org Fri Jul 29 04:08:21 2005
Return-path: <katie@spohr.debian.org>
Received: from katie by spohr.debian.org with local (Exim 3.36 1 (Debian))
	id 1DySd0-0003aK-00; Fri, 29 Jul 2005 04:02:10 -0700
From: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
To: 270925-close@bugs.debian.org
X-Katie: $Revision: 1.56 $
Subject: Bug#270925: fixed in ocaml 3.08.3-4
Message-Id: <E1DySd0-0003aK-00@spohr.debian.org>
Sender: Archive Administrator <katie@spohr.debian.org>
Date: Fri, 29 Jul 2005 04:02:10 -0700
Delivered-To: 270925-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Source: ocaml
Source-Version: 3.08.3-4

We believe that the bug you reported is fixed in the latest version of
ocaml, which is due to be installed in the Debian FTP archive:

ocaml-base-nox_3.08.3-4_i386.deb
  to pool/main/o/ocaml/ocaml-base-nox_3.08.3-4_i386.deb
ocaml-base_3.08.3-4_i386.deb
  to pool/main/o/ocaml/ocaml-base_3.08.3-4_i386.deb
ocaml-compiler-libs_3.08.3-4_i386.deb
  to pool/main/o/ocaml/ocaml-compiler-libs_3.08.3-4_i386.deb
ocaml-interp_3.08.3-4_i386.deb
  to pool/main/o/ocaml/ocaml-interp_3.08.3-4_i386.deb
ocaml-native-compilers_3.08.3-4_i386.deb
  to pool/main/o/ocaml/ocaml-native-compilers_3.08.3-4_i386.deb
ocaml-nox_3.08.3-4_i386.deb
  to pool/main/o/ocaml/ocaml-nox_3.08.3-4_i386.deb
ocaml-source_3.08.3-4_all.deb
  to pool/main/o/ocaml/ocaml-source_3.08.3-4_all.deb
ocaml_3.08.3-4.diff.gz
  to pool/main/o/ocaml/ocaml_3.08.3-4.diff.gz
ocaml_3.08.3-4.dsc
  to pool/main/o/ocaml/ocaml_3.08.3-4.dsc
ocaml_3.08.3-4_i386.deb
  to pool/main/o/ocaml/ocaml_3.08.3-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 270925@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org> (supplier of updated ocaml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 21 Jul 2005 00:24:26 +0200
Source: ocaml
Binary: ocaml-compiler-libs ocaml-native-compilers ocaml-base-nox ocaml-base ocaml ocaml-nox ocaml-interp ocaml-source
Architecture: source i386 all
Version: 3.08.3-4
Distribution: unstable
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Description: 
 ocaml      - ML language implementation with a class-based object system
 ocaml-base - Runtime system for ocaml bytecode executables
 ocaml-base-nox - Runtime system for ocaml bytecode executables
 ocaml-compiler-libs - Ocaml interpreter and standard libraries
 ocaml-interp - Ocaml interpreter and standard libraries
 ocaml-native-compilers - Native code compilers of the ocaml suite (the .opt ones)
 ocaml-nox  - ML language implementation with a class-based object system
 ocaml-source - Sources for Objective Caml
Closes: 270925 309317 312618
Changes: 
 ocaml (3.08.3-4) unstable; urgency=low
 .
   Changes by Julien Cristau:
   * Create directories in /usr/local/lib with proper permissions in
     ocaml-base-nox's postinst, and remove them if empty in prerm
     (Closes: #270925).
   * debian/patches/asmcomp_amd64_emit.mlp.dpatch: patch from upstream bugfix
     branch by Xavier Leroy to fix code generation on amd64 (reported by John
     Skaller).
   * debian/patches/fix_i386_gcc4_build.dpatch: patch from upstream to fix
     inline i386 assembly in the num library to allow building ocaml with
     gcc-4.0 (Closes: #309317).
   * debian/control: Add a dependency on emacsen-common, because this is needed
     to install the caml emacs mode in ocaml-nox (Closes: #312618).
 .
   Changes by Stefano Zacchiroli:
   * debian/patches/ocaml-md5sums, debian/rules,
     debian/{ocaml,ocaml-nox,ocaml-compiler-libs}.{postinst,postrm}
     - added ocaml-md5sums, ocaml md5sum registry handler for the forthcoming
       dh_ocaml
   * Removed debian/ocaml-compiler-libs.README.Debian (out of date copy of
     debian/README.Debian); added symlink from ocaml-base to README.Debian
   * Added debian/svn-deblayout to make svn structure work with
     svn-buildpackage
   * debian/control
     - bumped Standards-Version to 3.6.2
     - changed Maintainer to Debian OCaml Maintainers for this upload, set
       Uploaders to Sven and me
   * debian/rules
     - ignore error on clean target for config.{sub,guess} so that
       svn-buildpackage does not fail at clean time
Files: 
 b0be5436c7d1eb80b1a74eb3e90dc416 848 devel optional ocaml_3.08.3-4.dsc
 b3548ffd76fc6284b428c062921495cd 47594 devel optional ocaml_3.08.3-4.diff.gz
 8914c7c2e95b3054f4280974c2747ed5 5992706 devel optional ocaml-nox_3.08.3-4_i386.deb
 a46031de5c32255eed20c10349582869 2559444 devel optional ocaml-native-compilers_3.08.3-4_i386.deb
 f5b5b71133ed907f07568e6bfa58d28b 1705508 devel optional ocaml_3.08.3-4_i386.deb
 845b993c74aa64ef41e548b36703935a 246080 devel optional ocaml-base-nox_3.08.3-4_i386.deb
 5cad2cb112653b6898f1359396a7953c 61976 devel optional ocaml-base_3.08.3-4_i386.deb
 8a5323eeb9531ca2fd4f2c725763425d 2067906 devel optional ocaml-source_3.08.3-4_all.deb
 a7c78519b0cf52697c3bdec3ff2bf410 935720 devel optional ocaml-interp_3.08.3-4_i386.deb
 cf4ca6114320fdf3fce603011980dad8 732626 devel optional ocaml-compiler-libs_3.08.3-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC6gs21cqbBPLEI7wRAupLAKCuDh4BSR49Ie+w0bkWncxOYT85+wCfcaN+
G69foAuX+wmdokqdy9tIOH4=
=lLSc
-----END PGP SIGNATURE-----



Reply to: